### Struct

# Vips ArrayImage

#### Description

    struct VipsArrayImage {
      VipsArea area;
    }

No description available.

###### Structure members

`area:` `VipsArea`

  No description available.

#### Constructors

###### vips_array_image_empty

Make an empty image array. Handy with `vips_array_image_append()` for bindings which can’t handle object array arguments.

###### vips_array_image_new

Allocate a new array of images and copy `array` into it. Free with `vips_area_unref()`.

###### vips_array_image_new_from_string

No description available.

###### vips_array_image_newv

Allocate a new array of `n` `VipsImage` and copy @… into it. Free with `vips_area_unref()`.

#### Instance methods

###### vips_array_image_append

Make a new `VipsArrayImage`, one larger than `array`, with `image` appended to the end. Handy with `vips_array_image_empty()` for bindings which can’t handle object array arguments.

###### vips_array_image_get

Fetch an image array from a `VipsArrayImage`. Useful for language bindings.